Raritan PX2/PX3 JSON-RPC API

LhxSupport.idl
1 /* SPDX-License-Identifier: BSD-3-Clause */
2 /*
3 * Copyright 2012 Raritan Inc. All rights reserved.
4 */
5
6 /** LHX */
7 module lhx {
8 /** LHX Support Interface */
9 interface Support {
10 /**
11 * Set the enabled state for LHX Support feature.
12 *
13 * @param enabled the feature state
14 */
15 void setEnabled(in boolean enabled);
16
17 /**
18 * Determine the enabled state of LHX Support feature.
19 *
20 * @return true feature enabled
21 * @return false feature disabled or unknown
22 */
23 boolean isEnabled();
24 };
25 }
lhx
LHX.
Definition: LhxSupport.idl:7
lhx::Support
LHX Support Interface.
Definition: LhxSupport.idl:9